/*
 Theme Name:   Praxis Sadet
 Theme URI:    https://www.praxis-sadet.at
 Description:  Customized Theme for the praxis-sadet.at based on Generate Press
 Author:       Sven Dahmer
 Author URI:   https://www.designakrobat.de
 Template:     generatepress
 Version:      0.1
*/



/* gafata-regular - latin_latin-ext */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Gafata';
    text-rendering: auto;
    font-style: normal;
    font-weight: 400;
    src: url('https://praxis-sadet.at/wp-content/themes/praxis-sadet/fonts/gafata-v20-latin_latin-ext-regular.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
         url('https://praxis-sadet.at/wp-content/themes/praxis-sadet/fonts/gafata-v20-latin_latin-ext-regular.ttf') format('truetype'); /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
  }


/* nunito-sans-300 - latin-ext */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Nunito Sans';
    font-style: normal;
    font-weight: 300;
    src: url('https://praxis-sadet.at/wp-content/themes/praxis-sadet/fonts/nunito-sans-v15-latin-ext-300.eot'); /* IE9 Compat Modes */
    src: url('https://praxis-sadet.at/wp-content/themes/praxis-sadet/fonts/nunito-sans-v15-latin-ext-300.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
         url('https://praxis-sadet.at/wp-content/themes/praxis-sadet/fonts/nunito-sans-v15-latin-ext-300.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
         url('https://praxis-sadet.at/wp-content/themes/praxis-sadet/fonts/nunito-sans-v15-latin-ext-300.woff') format('woff'), /* Chrome 5+, Firefox 3.6+, IE 9+, Safari 5.1+, iOS 5+ */
         url('https://praxis-sadet.at/wp-content/themes/praxis-sadet/fonts/nunito-sans-v15-latin-ext-300.ttf') format('truetype'), /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
         url('https://praxis-sadet.at/wp-content/themes/praxis-sadet/fonts/nunito-sans-v15-latin-ext-300.svg#NunitoSans') format('svg'); /* Legacy iOS */
  }
  /* nunito-sans-300italic - latin-ext */
  @font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Nunito Sans';
    font-style: italic;
    font-weight: 300;
    src: url('https://praxis-sadet.at/wp-content/themes/praxis-sadet/fonts/nunito-sans-v15-latin-ext-300italic.eot'); /* IE9 Compat Modes */
    src: url('https://praxis-sadet.at/wp-content/themes/praxis-sadet/fonts/nunito-sans-v15-latin-ext-300italic.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
         url('https://praxis-sadet.at/wp-content/themes/praxis-sadet/fonts/nunito-sans-v15-latin-ext-300italic.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
         url('https://praxis-sadet.at/wp-content/themes/praxis-sadet/fonts/nunito-sans-v15-latin-ext-300italic.woff') format('woff'), /* Chrome 5+, Firefox 3.6+, IE 9+, Safari 5.1+, iOS 5+ */
         url('https://praxis-sadet.at/wp-content/themes/praxis-sadet/fonts/nunito-sans-v15-latin-ext-300italic.ttf') format('truetype'), /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
         url('https://praxis-sadet.at/wp-content/themes/praxis-sadet/fonts/nunito-sans-v15-latin-ext-300italic.svg#NunitoSans') format('svg'); /* Legacy iOS */
  }
  /* nunito-sans-regular - latin-ext */
  @font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Nunito Sans';
    font-style: normal;
    font-weight: 400;
    src: url('https://praxis-sadet.at/wp-content/themes/praxis-sadet/fonts/nunito-sans-v15-latin-ext-regular.eot'); /* IE9 Compat Modes */
    src: url('https://praxis-sadet.at/wp-content/themes/praxis-sadet/fonts/nunito-sans-v15-latin-ext-regular.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
         url('https://praxis-sadet.at/wp-content/themes/praxis-sadet/fonts/nunito-sans-v15-latin-ext-regular.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
         url('https://praxis-sadet.at/wp-content/themes/praxis-sadet/fonts/nunito-sans-v15-latin-ext-regular.woff') format('woff'), /* Chrome 5+, Firefox 3.6+, IE 9+, Safari 5.1+, iOS 5+ */
         url('https://praxis-sadet.at/wp-content/themes/praxis-sadet/fonts/nunito-sans-v15-latin-ext-regular.ttf') format('truetype'), /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
         url('https://praxis-sadet.at/wp-content/themes/praxis-sadet/fonts/nunito-sans-v15-latin-ext-regular.svg#NunitoSans') format('svg'); /* Legacy iOS */
  }
  /* nunito-sans-800 - latin-ext */
  @font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Nunito Sans';
    font-style: normal;
    font-weight: 800;
    src: url('https://praxis-sadet.at/wp-content/themes/praxis-sadet/fonts/nunito-sans-v15-latin-ext-800.eot'); /* IE9 Compat Modes */
    src: url('https://praxis-sadet.at/wp-content/themes/praxis-sadet/fonts/nunito-sans-v15-latin-ext-800.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
         url('https://praxis-sadet.at/wp-content/themes/praxis-sadet/fonts/nunito-sans-v15-latin-ext-800.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
         url('https://praxis-sadet.at/wp-content/themes/praxis-sadet/fonts/nunito-sans-v15-latin-ext-800.woff') format('woff'), /* Chrome 5+, Firefox 3.6+, IE 9+, Safari 5.1+, iOS 5+ */
         url('https://praxis-sadet.at/wp-content/themes/praxis-sadet/fonts/nunito-sans-v15-latin-ext-800.ttf') format('truetype'), /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
         url('https://praxis-sadet.at/wp-content/themes/praxis-sadet/fonts/nunito-sans-v15-latin-ext-800.svg#NunitoSans') format('svg'); /* Legacy iOS */
  }
  /* nunito-sans-800italic - latin-ext */
  @font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Nunito Sans';
    font-style: italic;
    font-weight: 800;
    src: url('https://praxis-sadet.at/wp-content/themes/praxis-sadet/fonts/nunito-sans-v15-latin-ext-800italic.eot'); /* IE9 Compat Modes */
    src: url('https://praxis-sadet.at/wp-content/themes/praxis-sadet/fonts/nunito-sans-v15-latin-ext-800italic.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
         url('https://praxis-sadet.at/wp-content/themes/praxis-sadet/fonts/nunito-sans-v15-latin-ext-800italic.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
         url('https://praxis-sadet.at/wp-content/themes/praxis-sadet/fonts/nunito-sans-v15-latin-ext-800italic.woff') format('woff'), /* Chrome 5+, Firefox 3.6+, IE 9+, Safari 5.1+, iOS 5+ */
         url('https://praxis-sadet.at/wp-content/themes/praxis-sadet/fonts/nunito-sans-v15-latin-ext-800italic.ttf') format('truetype'), /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
         url('https://praxis-sadet.at/wp-content/themes/praxis-sadet/fonts/nunito-sans-v15-latin-ext-800italic.svg#NunitoSans') format('svg'); /* Legacy iOS */
  }
  
  .hidden {
    display:none !important;
  }


.gb-container ul {
	margin:1em 0 0 2em;
}


footer a {
  text-decoration:underline;
}



/* HEADER Situation */

.site-header .inside-header {
  justify-content: center;
}


.main-navigation .inside-navigation {
  justify-content:flex-start;
}


/*Milky Chance Header */
.main-navigation#sticky-navigation,
.main-navigation#sticky-navigation ul ul {
	border: 1px solid rgba(16, 44, 84, 0.3);
	background: rgba(16, 44, 84, 0.71);
	box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
	backdrop-filter: blur(9.8px);
	-webkit-backdrop-filter: blur(9.8px);
	border: 1px solid rgba(16, 44, 84, 0.3);
}

.main-navigation#sticky-navigation a {
  color:#FFF;
}

.main-navigation .appointmentbutton,
.mobile .main-navigation#sticky-navigation .appointmentbutton.whitebutton  {
	display:none;
}


#generate-slideout-menu .appointmentbutton {
  display:block !important;
}


.main-navigation#sticky-navigation .appointmentbutton {
	display:block;
}


/* Top menu CTA button */
.inside-navigation .menu-bar-items,
.main-navigation .menu-bar-items {
	color: var(--base-4);
}

.main-navigation .menu-bar-items {
	flex-direction:row-reverse;
	margin-left:auto;
}




.whitebutton {
	display: inline-block;
	outline: 0;
	border: 0;
	cursor: pointer;
	will-change: box-shadow,transform;
	background: radial-gradient( 100% 100% at 100% 0%, #FFFFFF 0%, #f4f4f4 100% );
	box-shadow: 0px 2px 4px rgb(45 35 66 / 40%), 0px 7px 13px -3px rgb(45 35 66 / 30%), inset 0px -3px 0px rgb(58 65 111 / 50%);
	padding: 0 32px;
	border-radius: 6px;
	height: 48px;
	font-size: 18px;
	text-shadow: 0 1px 0 rgb(0 0 0 / 40%);
	transition: box-shadow 0.15s ease,transform 0.15s ease;       
}

.orangebutton {
	display: inline-block;
	outline: 0;
	border: 0;
	cursor: pointer;
	will-change: box-shadow,transform;
	background: radial-gradient( 100% 100% at 100% 0%, #f3dbab 0%, var(--accent) 100%) !important;
	box-shadow: 0px 2px 4px rgb(45 35 66 / 40%), 0px 7px 13px -3px rgb(45 35 66 / 30%), inset 0px -3px 0px rgb(58 65 111 / 50%);
	padding: 0 32px;
	border-radius: 6px;
	height: 48px;
	font-size: 18px;
	text-shadow: 0 1px 0 rgb(0 0 0 / 40%);
	transition: box-shadow 0.15s ease,transform 0.15s ease;       
}




.appointmentbutton .wp-element-button {
	color: #102c54 !important;
}

.appointmentbutton:hover {
	box-shadow: 0px 4px 8px rgb(45 35 66 / 40%), 0px 7px 13px -3px rgb(45 35 66 / 30%), inset 0px -3px 0px #bcbcbc;
	transform: translateY(-2px);
}

.appointmentbutton:active {
	box-shadow: inset 0px 3px 7px #3c4fe0;
	transform: translateY(2px);
}       

/* Text highlight */
mark.gb-highlight {
	border-bottom: 2px solid var(--contrast);
}
.box-shadow {
	box-shadow: 0px 0px 50px -10px rgba(45,54,99,0.3);
}


/** Leistungen **/

hr.wp-block-separator {
width:100%;
color:#FFF
}


/* Blog featured post */
@media (min-width: 768px) and (max-width: 1024px) {
	.featured-column {
	width: 100% !important;
	}
}

/* Right sidebar */
.sidebar aside {
	border-radius: 8px;
	border: 1px solid var(--base-2);
}
@media (max-width: 768px) {
	.sidebar {
		margin-top: 5em;
	}
}
 /* End GeneratePress Site CSS */ /* End GeneratePress Site CSS */



/* Standard Einstellungen */

/* GeneratePress Site CSS */ /* GeneratePress Site CSS */ /* Comment button */
.form-submit .submit {
	border-radius: 9999px;
}


/* Text highlight */
mark.gb-highlight {
	border-bottom: 2px solid var(--contrast);
}
.box-shadow {
	box-shadow: 0px 0px 50px -10px rgba(45,54,99,0.3);
}

/* Blog featured post */
@media (min-width: 768px) and (max-width: 1024px) {
	.featured-column {
	width: 100% !important;
	}
}

/* Right sidebar */
.sidebar aside {
	border-radius: 8px;
	border: 1px solid var(--base-2);
}
@media (max-width: 768px) {
	.sidebar {
		margin-top: 5em;
	}
}
 /* End GeneratePress Site CSS */ /* End GeneratePress Site CSS */



/* KONTAKTFORMULAR */

.page-id-1454 #page {
  max-width:unset !important;
  width:unset !important;
  background:#CCC !important;
}


.wpcf7-form label {
  display:block;
  margin-bottom:0.25em;
}


.wpcf7-form .form-section {
  display:flex;
  flex-direction: column;
  margin-bottom:2em;
}


input[type=date] {
    border: none;
    border-radius: 0;
    padding: 10px 15px;
    max-width: 100%;
}

input.wpcf7-not-valid {
	border:1px solid #dc3232;
}

.wpcf7-form input[type=text],
.wpcf7-form input[type=tel] {
	width:100% !important;
}

.wpcf7-form input[type=checkbox],
.wpcf7-form input[type=radio] {
	width:20px;
	height:20px;
	margin:0 0.5em 0 0;
}

.wpcf7-acceptance .wpcf7-list-item {
	margin:0 !important;
}


/* Featherlight tweaking */

.featherlight-iframe .featherlight-content {
	overflow-y:hidden !important;
}


/*Mobile Queries */




@media (max-width: 768px) {
  /* CSS in here for mobile only */
  .page-hero {
    min-height:90vh;
    padding-bottom:0;
  }
  .site-header {
    top:0em;
  }

  .site-logo {
    top: -2em;
    position: relative;
  }

  .main-navigation {
    top:0px;
  }

  .introtext h1 {
    font-size:1.5em;
  }

  .introtext p {
    font-size:1.1em;
  }

  .introtext {
    background-color:rgba(255,255,255,0.45);
    padding:1em 0em;
  }

  .wpcf7-form {
    margin:2em 1em 6em 1em;
  }
  
  .navigation-branding, .site-logo.mobile-header-logo {
    width:220px;
  }

  #sticky-navigation .inside-navigation.grid-container .menu-toggle span {
    color:#FFF !important;
    flex-direction:initial;
  }

  #sticky-navigation .inside-navigation.grid-container {
    flex-direction:initial;
  }

  .inside-navigation.grid-container {
    flex-direction:row-reverse;
  }


  .inside-header {
    padding:0px;
    width:170px;
  }

  
.wpcf7-form .submit-section {
	margin:3.5em 0 4em;
}

  .wpcf7 form .wpcf7-response-output {
  	bottom:3em;
   }

	

}

@media (min-width: 769px) and (max-width: 1024px) {
  /* CSS in here for tablet only */
  .site-header {
    top:initial;
  }

  .site-logo {
    top: initial;
    position: initial;
  }


  .main-navigation {
    margin-top:1.5em;
  }
  

  .page-hero {
    min-height:75vh;
    padding-bottom: 25%;
  }

  .introtext h1 {
    font-size:1.5em;
  }

  .introtext p {
    font-size:1.1em;
  }

  .introtext {
    padding:0 2em;
    padding:1em 0em;
  }

  #sticky-navigation .inside-navigation.grid-container .menu-toggle span {
    color:#FFF !important;
    flex-direction:initial;
  }

  #sticky-navigation .inside-navigation.grid-container {
    flex-direction:initial;
  }

  .inside-navigation.grid-container {
    flex-direction:row-reverse;
  }
  
  .wpcf7-form .submit-section {
    margin:3.5em 0;
  }
  
  .wpcf7 form .wpcf7-response-output {
  	bottom:1em;
  }

}

@media only screen and (min-width: 768px) and (orientation: landscape) {
  /* CSS in here for tablet landscape only */

  .main-navigation {
    margin-top:1.5em;
  }

  .site-logo {
    top: initial;
    position: initial;
  }


  .site-header {
    top:initial;
  }

  .page-hero {
    min-height:75vh;
    padding-bottom: 3%;
  }

  .page-hero .inside-page-hero {
    width:70%; 
  }
  

  .introtext {
    padding:1em 0em;
    background-color:rgba(255,255,255,0.75);
  }

  .introtext h1 {
    font-size:30px;
  }

  .introtext p {
    font-size:20px !important;
  }

  .wpcf7-form .submit-section {
    margin:3.5em 0;
  }
	
	.wpcf7 form .wpcf7-response-output {
  	bottom:1em;
   }


}




@media (min-width: 1025px) {
  /* CSS in here for desktop only */

  .main-navigation {
    margin-top:1.5em;
  }
  
  .site-logo {
    top: initial;
    position: initial;
  }


  .site-header {
    top:initial;
  }
  
  .page-hero {
    min-height:80vh;
    padding-bottom:10%;
  }
  
  .page-hero .inside-page-hero {
    width:40%;
  }
  
  .introtext {
    background:none;
    padding:0;
  }
  
  .introtext h1 {
    font-size:2em;
  }

  .introtext p {
    font-size:1.4em;
  }

  .wpcf7-form {
    margin:2em 3em;
  }

  .menu-toggle {
    color:var(--contrast) !important;
  }

  .wpcf7-form .submit-section {
    margin:3.5em 0;
  }  
	
  .wpcf7 form .wpcf7-response-output {
  	bottom:0px;
   }
  
}

.wpcf7 form .wpcf7-response-output {
	position:fixed;
	background:#FFF;
}
